+

Installing API Catalog CLI

You must install API Catalog CLI before running the commands.

Before You Begin

  • Download and install the latest LTS version of NodeJS and npm (node package manager) on your system. See the NodeJS download page.

Install the CLI:

To install the CLI:

  • Run the following command from your terminal:

npm install -g api-catalog-cli@latest
The install command might give warning messages about the version of npm because the API Catalog CLI installation package is built using npm version 14. You can ignore these messages.
If your installation from npm runs for a long time and does not complete successfully, work with your security administrator to ensure that your system allows you to successfully install from npm.
Was this article helpful? Thanks for your feedback!
View on GitHub